#include "stdafx.h"

double P[NumPoints][DIM]; //  
double Q[NumPoints][DIM]; //  

void InitFig(double P[NumPoints][DIM])
{
	//  Z=1, T=1
	P[ 0][0]= 1; P[ 0][1]= 1; P[ 0][2]= 1; P[ 0][3]= 1;
	P[ 1][0]= 1; P[ 1][1]=-1; P[ 1][2]= 1; P[ 1][3]= 1;
	P[ 2][0]=-1; P[ 2][1]=-1; P[ 2][2]= 1; P[ 2][3]= 1;
	P[ 3][0]=-1; P[ 3][1]= 1; P[ 3][2]= 1; P[ 3][3]= 1;

    //  Z=-1, T=1
	P[ 4][0]= 1; P[ 4][1]= 1; P[ 4][2]=-1; P[ 4][3]= 1;
	P[ 5][0]= 1; P[ 5][1]=-1; P[ 5][2]=-1; P[ 5][3]= 1;
	P[ 6][0]=-1; P[ 6][1]=-1; P[ 6][2]=-1; P[ 6][3]= 1;
	P[ 7][0]=-1; P[ 7][1]= 1; P[ 7][2]=-1; P[ 7][3]= 1;

    //  Z= 1, T=-1
	P[ 8][0]= 1; P[ 8][1]= 1; P[ 8][2]= 1; P[ 8][3]=-1;
	P[ 9][0]= 1; P[ 9][1]=-1; P[ 9][2]= 1; P[ 9][3]=-1;
	P[10][0]=-1; P[10][1]=-1; P[10][2]= 1; P[10][3]=-1;
	P[11][0]=-1; P[11][1]= 1; P[11][2]= 1; P[11][3]=-1;

    //  Z=-1, T=-1
	P[12][0]= 1; P[12][1]= 1; P[12][2]=-1; P[12][3]=-1;
	P[13][0]= 1; P[13][1]=-1; P[13][2]=-1; P[13][3]=-1;
	P[14][0]=-1; P[14][1]=-1; P[14][2]=-1; P[14][3]=-1;
	P[15][0]=-1; P[15][1]= 1; P[15][2]=-1; P[15][3]=-1;

	for (int i=0; i<NumPoints; i++) 
		for (int j=0; j<DIM; j++) P[i][j]*=Size;

}

void PaintFig(HDC hdc,double P[NumPoints][DIM])
{

	MoveToEx(hdc,P[3][0],P[3][1],NULL);
	for (int i=0; i<4; i++) LineTo(hdc,P[i][0],P[i][1]);

	MoveToEx(hdc,P[7][0],P[7][1],NULL);
	for (int i=4; i<8; i++) LineTo(hdc,P[i][0],P[i][1]);

	MoveToEx(hdc,P[11][0],P[11][1],NULL);
	for (int i=8; i<12; i++) LineTo(hdc,P[i][0],P[i][1]);

	MoveToEx(hdc,P[15][0],P[15][1],NULL);
	for (int i=12; i<16; i++) LineTo(hdc,P[i][0],P[i][1]);

	for (int i=0; i<4; i++) 
	{
	    MoveToEx(hdc,P[i  ][0],P[i  ][1],NULL);
		LineTo(hdc,  P[i+4][0],P[i+4][1]);
	}

	for (int i=8; i<12; i++) 
	{
	    MoveToEx(hdc,P[i  ][0],P[i  ][1],NULL);
		LineTo(hdc,  P[i+4][0],P[i+4][1]);
	}

	for (int i=0; i<4; i++) 
	{
	    MoveToEx(hdc,P[i  ][0],P[i  ][1],NULL);
		LineTo(hdc,  P[i+8][0],P[i+8][1]);
	}

	for (int i=4; i<8; i++) 
	{
	    MoveToEx(hdc,P[i  ][0],P[i  ][1],NULL);
		LineTo(hdc,  P[i+8][0],P[i+8][1]);
	}



}