#include "stdafx.h"

//      one#two   alpha
void RotMat(double A[DIM][DIM], int one, int two, double alpha)
{   double s,c;
    alpha=alpha*0.017453292519943295;
	//   
	for (int i=0; i<DIM; i++)
		for (int j=0; j<DIM; j++)
			if (i==j) A[i][j]=1; else A[i][j]=0;
    s = sin(alpha); c=cos(alpha);
	A[one][one]= c; A[one][two]=s;
	A[two][one]=-s; A[two][two]=c;
}

//     C=A*B
void MatVec(double A[DIM][DIM], double B[DIM], double C[DIM])
{
	for (int i=0; i<DIM; i++)
	{
		C[i]=0;
		for (int j=0; j<DIM; j++)
			C[i]+=A[i][j]*B[j];
	}
}

void Copy(double P[DIM],double Q[DIM])
{
	for (int j=0; j<DIM; j++) Q[j]=P[j];
}

//  ""   6     P->Q
void RotPoint(double P[DIM], double Ang[ROT], double Q[DIM])
{   double A[DIM][DIM];
    double T[DIM];
	int k=0;
	for (int i=0; i<DIM; i++) T[i]=P[i];
	for (int two=0; two<DIM; two++)
		for (int one=0; one<two; one++)
		{
			RotMat(A,one,two,Ang[k++]);
			MatVec(A,T,Q);
			Copy(Q,T);
		}
}